Object.assign(process.env, {
  GIT_AUTHOR_NAME: 'Renovate Bot',
  GIT_AUTHOR_EMAIL: 'renovate@danet.fbi.h-da.de',
  GIT_COMMITTER_NAME: 'Renovate Bot',
  GIT_COMMITTER_EMAIL: 'renovate@danet.fbi.h-da.de',
});

module.exports = {
  endpoint: process.env.CI_API_V4_URL,
  hostRules: [
    {
      matchHost: 'https://registry.code.fbi.h-da.de',
      username: '@project_10161_bot',
      password: process.env.GITLAB_REGISTRY_TOKEN,
    },
  ],
  platform: 'gitlab',
  username: '@project_10161_bot',
  gitAuthor: 'Renovate Bot <renovate@danet.fbi.h-da.de>',
  autodiscover: true,
  prConcurrentLimit: 10,
  commitMessagePrefix: '[renovate]',
  labels: ['renovate'],
  baseBranches: ['master']
};
